/* /Components/Layout/MainLayout.razor.rz.scp.css */
.page[b-g7gedybx0t] {
    position: relative;
    display: flex;
    flex-direction: column;
}

main[b-g7gedybx0t] {
    flex: 1;
}

.sidebar[b-g7gedybx0t] {
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #3a0647 70%);
}

.top-row[b-g7gedybx0t] {
    background-color: #f7f7f7;
    border-bottom: 1px solid #d6d5d5;
    justify-content: flex-end;
    height: 3.5rem;
    display: flex;
    align-items: center;
}

    .top-row[b-g7gedybx0t]  a, .top-row[b-g7gedybx0t]  .btn-link {
        white-space: nowrap;
        margin-left: 1.5rem;
        text-decoration: none;
    }

    .top-row[b-g7gedybx0t]  a:hover, .top-row[b-g7gedybx0t]  .btn-link:hover {
        text-decoration: underline;
    }

    .top-row[b-g7gedybx0t]  a:first-child {
        overflow: hidden;
        text-overflow: ellipsis;
    }

@media (max-width: 640.98px) {
    .top-row[b-g7gedybx0t] {
        justify-content: space-between;
    }

    .top-row[b-g7gedybx0t]  a, .top-row[b-g7gedybx0t]  .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 641px) {
    .page[b-g7gedybx0t] {
        flex-direction: row;
    }

    .sidebar[b-g7gedybx0t] {
        width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
    }

    .top-row[b-g7gedybx0t] {
        position: sticky;
        top: 0;
        z-index: 1;
    }

    .top-row.auth[b-g7gedybx0t]  a:first-child {
        flex: 1;
        text-align: right;
        width: 0;
    }

    .top-row[b-g7gedybx0t], article[b-g7gedybx0t] {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }
}

#blazor-error-ui[b-g7gedybx0t] {
    color-scheme: light only;
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    box-sizing: border-box;
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-g7gedybx0t] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* /Components/Layout/NavMenu.razor.rz.scp.css */
.navbar-toggler[b-hfr7v4u73n] {
    appearance: none;
    cursor: pointer;
    width: 3.5rem;
    height: 2.5rem;
    color: white;
    position: absolute;
    top: 0.5rem;
    right: 1rem;
    border: 1px solid rgba(255, 255, 255, 0.1);
    background: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e") no-repeat center/1.75rem rgba(255, 255, 255, 0.1);
}

.navbar-toggler:checked[b-hfr7v4u73n] {
    background-color: rgba(255, 255, 255, 0.5);
}

.top-row[b-hfr7v4u73n] {
    min-height: 3.5rem;
    background-color: rgba(0,0,0,0.4);
}

.navbar-brand[b-hfr7v4u73n] {
    font-size: 1.1rem;
}

.bi[b-hfr7v4u73n] {
    display: inline-block;
    position: relative;
    width: 1.25rem;
    height: 1.25rem;
    margin-right: 0.75rem;
    top: -1px;
    background-size: cover;
}

.bi-house-door-fill-nav-menu[b-hfr7v4u73n] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-house-door-fill' viewBox='0 0 16 16'%3E%3Cpath d='M6.5 14.5v-3.505c0-.245.25-.495.5-.495h2c.25 0 .5.25.5.5v3.5a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5v-7a.5.5 0 0 0-.146-.354L13 5.793V2.5a.5.5 0 0 0-.5-.5h-1a.5.5 0 0 0-.5.5v1.293L8.354 1.146a.5.5 0 0 0-.708 0l-6 6A.5.5 0 0 0 1.5 7.5v7a.5.5 0 0 0 .5.5h4a.5.5 0 0 0 .5-.5Z'/%3E%3C/svg%3E");
}

.bi-plus-square-fill-nav-menu[b-hfr7v4u73n] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-plus-square-fill' viewBox='0 0 16 16'%3E%3Cpath d='M2 0a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V2a2 2 0 0 0-2-2H2zm6.5 4.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3a.5.5 0 0 1 1 0z'/%3E%3C/svg%3E");
}
.bi-cart[b-hfr7v4u73n] {
    background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 48 48"><defs><style>.cls-1{fill:%23c6c3d8}.cls-4{fill:%23425b72}.cls-5{fill:%23374f68}</style></defs><g id="Shopping_cart" data-name="Shopping cart"><path class="cls-1" d="M39 41H10.16a4.17 4.17 0 0 1-3.61-6.23C11 27.06 9.41 28 21 28a1 1 0 0 1 0 2c-10.91 0-8.76-1.14-12.72 5.77A2.17 2.17 0 0 0 10.16 39H39a1 1 0 0 1 0 2z"/><path d="M45 8a1.61 1.61 0 0 1 1.55 2c0 .1-4.22 18.54-4.2 18.44a2 2 0 0 1-2 1.56H13c-.47-2.17-3.6-16.85-4.71-22z" style="fill:%23dad7e5"/><path d="M45 8a1.61 1.61 0 0 1 1.55 2c-.73 3.23-2.95 13-3.87 17h-7.25a24 24 0 0 1-23.5-19z" style="fill:%23edebf2"/><path class="cls-4" d="M22 44a3 3 0 1 1-5.56-1.56A3 3 0 0 1 22 44z"/><path class="cls-5" d="M20.56 46.56a3 3 0 0 1-4.12-4.12 3 3 0 0 1 4.12 4.12z"/><path class="cls-4" d="M36 44a3 3 0 1 1-5.56-1.56A3 3 0 0 1 36 44z"/><path class="cls-5" d="M34.56 46.56a3 3 0 0 1-4.12-4.12 3 3 0 0 1 4.12 4.12z"/><path class="cls-1" d="m45.18 16 .46-2H34V8h-2v6h-9V8h-2v6H9.57l.43 2h11v6h-9.71l.43 2H21v6h2v-6h9v6h2v-6h9.36l.46-2H34v-6zM32 22h-9v-6h9z"/><path class="cls-1" d="M46.56 10A1.61 1.61 0 0 0 45 8H9.31l-1-4.63A3 3 0 0 0 5.38 1H2a1 1 0 0 0 0 2h3.38a1 1 0 0 1 1 .79c6.09 28.45 5.62 26.4 5.75 26.47.92-.43 28.37-.26 28.27-.26a2 2 0 0 0 2-1.56c-.02-.11 4.39-19.51 4.16-18.44zm-6.11 18H13.6L9.74 10h34.81z"/></g></svg>') 
}

.bi-photos[b-hfr7v4u73n] {
    background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 32 32"><g data-name="2-DSLR Camera"><path d="M29 6h-4.22L24 2.76A1 1 0 0 0 23 2H9a1 1 0 0 0-1 .76L7.22 6H3a3 3 0 0 0-3 3v18a3 3 0 0 0 3 3h26a3 3 0 0 0 3-3V9a3 3 0 0 0-3-3zM2 14h7.08a7.93 7.93 0 0 0 0 8H2zm28 13a1 1 0 0 1-1 1H3a1 1 0 0 1-1-1v-3h8.73a8 8 0 0 0 10.55 0H30zm-20-9a6 6 0 1 1 6 6 6 6 0 0 1-6-6zm20 4h-7.08a7.93 7.93 0 0 0 0-8H30zm0-10h-8.73a8 8 0 0 0-10.55 0H2V9a1 1 0 0 1 1-1h5a1 1 0 0 0 1-.76L9.78 4h12.44L23 7.24A1 1 0 0 0 24 8h5a1 1 0 0 1 1 1z"/><path d="M16 22a4 4 0 1 0-4-4 4 4 0 0 0 4 4zm0-6a2 2 0 1 1-2 2 2 2 0 0 1 2-2zM12 6h8v2h-8z"/></g></svg>')
}

.bi-docs[b-hfr7v4u73n] {
    background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 128 128" style="enable-background:new 0 0 128 128" xml:space="preserve"><path style="fill:%23191919" d="M19.133.002A4.188 4.188 0 0 0 16.219 1.2a4.12 4.12 0 0 0-1.207 2.89v119.822c0 1.07.444 2.134 1.207 2.89A4.188 4.188 0 0 0 19.133 128h89.734a4.188 4.188 0 0 0 2.914-1.198 4.12 4.12 0 0 0 1.207-2.89V30.947c-.117-1.197-.552-2.405-1.271-3.114L83.643 1.135a4.183 4.183 0 0 0-2.76-1.126C60.323-.006 39.711.002 19.133.002zm4.121 8.176h53.418v22.61c0 1.07.444 2.134 1.207 2.89a4.188 4.188 0 0 0 2.914 1.198h23.953v84.949H23.254V8.178zm61.66 5.66L98.444 26.7h-13.53V13.838zm-19.861 89.531H32.396v-6.047h32.658v6.047zm30.551-15.802H32.396V81.52h63.209v6.047zm0-15.802H32.396v-6.047h63.209v6.047zm0-15.803H32.396v-6.047h63.209v6.047z"/></svg>')
}
.bi-list-nested-nav-menu[b-hfr7v4u73n] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-list-nested' viewBox='0 0 16 16'%3E%3Cpath fill-rule='evenodd' d='M4.5 11.5A.5.5 0 0 1 5 11h10a.5.5 0 0 1 0 1H5a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 3 7h10a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5zm-2-4A.5.5 0 0 1 1 3h10a.5.5 0 0 1 0 1H1a.5.5 0 0 1-.5-.5z'/%3E%3C/svg%3E");
}

.bi-lock-nav-menu[b-hfr7v4u73n] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-list-nested' viewBox='0 0 16 16'%3E%3Cpath d='M8 1a2 2 0 0 1 2 2v4H6V3a2 2 0 0 1 2-2zm3 6V3a3 3 0 0 0-6 0v4a2 2 0 0 0-2 2v5a2 2 0 0 0 2 2h6a2 2 0 0 0 2-2V9a2 2 0 0 0-2-2zM5 8h6a1 1 0 0 1 1 1v5a1 1 0 0 1-1 1H5a1 1 0 0 1-1-1V9a1 1 0 0 1 1-1z'/%3E%3C/svg%3E");
}

.bi-person-nav-menu[b-hfr7v4u73n] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-person' viewBox='0 0 16 16'%3E%3Cpath d='M8 8a3 3 0 1 0 0-6 3 3 0 0 0 0 6Zm2-3a2 2 0 1 1-4 0 2 2 0 0 1 4 0Zm4 8c0 1-1 1-1 1H3s-1 0-1-1 1-4 6-4 6 3 6 4Zm-1-.004c-.001-.246-.154-.986-.832-1.664C11.516 10.68 10.289 10 8 10c-2.29 0-3.516.68-4.168 1.332-.678.678-.83 1.418-.832 1.664h10Z'/%3E%3C/svg%3E");
}

.bi-person-badge-nav-menu[b-hfr7v4u73n] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-person-badge' viewBox='0 0 16 16'%3E%3Cpath d='M6.5 2a.5.5 0 0 0 0 1h3a.5.5 0 0 0 0-1h-3zM11 8a3 3 0 1 1-6 0 3 3 0 0 1 6 0z'/%3E%3Cpath d='M4.5 0A2.5 2.5 0 0 0 2 2.5V14a2 2 0 0 0 2 2h8a2 2 0 0 0 2-2V2.5A2.5 2.5 0 0 0 11.5 0h-7zM3 2.5A1.5 1.5 0 0 1 4.5 1h7A1.5 1.5 0 0 1 13 2.5v10.795a4.2 4.2 0 0 0-.776-.492C11.392 12.387 10.063 12 8 12s-3.392.387-4.224.803a4.2 4.2 0 0 0-.776.492V2.5z'/%3E%3C/svg%3E");
}

.bi-person-fill-nav-menu[b-hfr7v4u73n] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-person-fill' viewBox='0 0 16 16'%3E%3Cpath d='M3 14s-1 0-1-1 1-4 6-4 6 3 6 4-1 1-1 1H3Zm5-6a3 3 0 1 0 0-6 3 3 0 0 0 0 6Z'/%3E%3C/svg%3E");
}

.bi-arrow-bar-left-nav-menu[b-hfr7v4u73n] {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='16' height='16' fill='white' class='bi bi-arrow-bar-left' viewBox='0 0 16 16'%3E%3Cpath d='M12.5 15a.5.5 0 0 1-.5-.5v-13a.5.5 0 0 1 1 0v13a.5.5 0 0 1-.5.5ZM10 8a.5.5 0 0 1-.5.5H3.707l2.147 2.146a.5.5 0 0 1-.708.708l-3-3a.5.5 0 0 1 0-.708l3-3a.5.5 0 1 1 .708.708L3.707 7.5H9.5a.5.5 0 0 1 .5.5Z'/%3E%3C/svg%3E");
}

.nav-item[b-hfr7v4u73n] {
    font-size: 0.9rem;
    padding-bottom: 0.5rem;
}

    .nav-item:first-of-type[b-hfr7v4u73n] {
        padding-top: 1rem;
    }

    .nav-item:last-of-type[b-hfr7v4u73n] {
        padding-bottom: 1rem;
    }

    .nav-item[b-hfr7v4u73n]  .nav-link {
        color: #d7d7d7;
        background: none;
        border: none;
        border-radius: 4px;
        height: 3rem;
        display: flex;
        align-items: center;
        line-height: 3rem;
        width: 100%;
    }

.nav-item[b-hfr7v4u73n]  a.active {
    background-color: rgba(255,255,255,0.37);
    color: white;
}

.nav-item[b-hfr7v4u73n]  .nav-link:hover {
    background-color: rgba(255,255,255,0.1);
    color: white;
}

.nav-scrollable[b-hfr7v4u73n] {
    display: none;
}

.navbar-toggler:checked ~ .nav-scrollable[b-hfr7v4u73n] {
    display: block;
}

@media (min-width: 641px) {
    .navbar-toggler[b-hfr7v4u73n] {
        display: none;
    }

    .nav-scrollable[b-hfr7v4u73n] {
        /* Never collapse the sidebar for wide screens */
        display: block;

        /* Allow sidebar to scroll for tall menus */
        height: calc(100vh - 3.5rem);
        overflow-y: auto;
    }
}
